com.google.cloud.dataflow.sdk.transforms.windowing

## Interface AfterWatermark.AfterWatermarkLate<W extends BoundedWindow>

All Superinterfaces:
  TriggerBuilder<W>

Enclosing class:
  AfterWatermark<W extends BoundedWindow>

    public static interface AfterWatermark.AfterWatermarkLate<W extends BoundedWindow>
    extends TriggerBuilder<W>

Interface for building an AfterWatermarkTrigger with late firings already filled in.

### Method Summary

All Methods Instance Methods Abstract Methods
`TriggerBuilder<W>` `withEarlyFirings(Trigger.OnceTrigger<W> earlyTrigger)` Creates a new `Trigger` like the this, except that it fires repeatedly whenever the given `Trigger` fires before the watermark has passed the end of the window.

### Methods inherited from interface com.google.cloud.dataflow.sdk.transforms.windowing.TriggerBuilder

`buildTrigger`

### Method Detail

#### withEarlyFirings

    TriggerBuilder<W> withEarlyFirings(Trigger.OnceTrigger<W> earlyTrigger)

Creates a new `Trigger` like the this, except that it fires repeatedly whenever the given `Trigger` fires before the watermark has passed the end of the window.